Set Builtin Event Admission

PUT
/api/v1/ingest-policy/builtin-events/{key}

Path Parameters

key*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

enabled*boolean
projectId?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/ingest-policy/builtin-events/string" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{  "builtinEvents": [    {      "defaultEnabled": true,      "description": "string",      "enabled": true,      "eventNames": [        "string"      ],      "key": "string",      "name": "string",      "override": true,      "warning": "string"    }  ],  "customEventBlocklist": [    "string"  ]}
{  "_tag": "Api/EventAdmissionError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/AuthServiceError",  "cause": "string",  "message": "string"}